## ros-foxy-launch-xml 0.10.10

=== debian/changelog ===
ros-foxy-launch-xml (0.10.10-1focal) focal; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Wed, 12 Oct 2022 07:00:00 -0000

ros-foxy-launch-xml (0.10.9-1focal) focal; urgency=high

  * Support scoping environment variables (#601 <https://github.com/ros2/launch/issues/601>) (#630 <https://github.com/ros2/launch/issues/630>)
  * Contributors: Jacob Perron

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 12 Sep 2022 07:00:00 -0000

ros-foxy-launch-xml (0.10.8-1focal) focal; urgency=high

  * Validate unparsed attributes and subentities in launch_xml and launch_yaml. (#468 <https://github.com/ros2/launch/issues/468>) (#567 <https://github.com/ros2/launch/issues/567>)
  * Contributors: Aditya, mergify[bot]

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Wed, 12 Jan 2022 08:00:00 -0000

ros-foxy-launch-xml (0.10.7-1focal) focal; urgency=high

  * Consolidate type_utils in a way that can be reused in substitution results that need to be coerced to a specific type (#438 <https://github.com/ros2/launch/issues/438>)
  * Contributors: Ivan Santiago Paunovic

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Fri, 12 Nov 2021 08:00:00 -0000

ros-foxy-launch-xml (0.10.6-1focal) focal; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Tue, 31 Aug 2021 07:00:00 -0000

ros-foxy-launch-xml (0.10.5-1focal) focal; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Wed, 14 Apr 2021 07:00:00 -0000

ros-foxy-launch-xml (0.10.4-1focal) focal; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Tue, 08 Dec 2020 08:00:00 -0000

ros-foxy-launch-xml (0.10.3-1focal) focal; urgency=high

  * Add pytest.ini so local tests don't display warning (#428 <https://github.com/ros2/launch/issues/428>)
  * Contributors: Chris Lalancette

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Thu, 27 Aug 2020 07:00:00 -0000

ros-foxy-launch-xml (0.10.2-1focal) focal; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Tue, 26 May 2020 07:00:00 -0000

ros-foxy-launch-xml (0.10.1-1focal) focal; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Fri, 08 May 2020 07:00:00 -0000

ros-foxy-launch-xml (0.10.0-1focal) focal; urgency=high

  * more verbose test_flake8 error messages (same as ros2/launch_ros#135 <https://github.com/ros2/launch_ros/issues/135>)
  * Use imperative mood in docstrings. (#362 <https://github.com/ros2/launch/issues/362>)
  * Contributors: Dirk Thomas, Steven! Ragnarök

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Fri, 24 Apr 2020 07:00:00 -0000

ros-foxy-launch-xml (0.9.5-1focal) focal; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Wed, 13 Nov 2019 08:00:00 -0000

ros-foxy-launch-xml (0.9.4-1focal) focal; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Fri, 08 Nov 2019 08:00:00 -0000

ros-foxy-launch-xml (0.9.3-1focal) focal; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Wed, 23 Oct 2019 07:00:00 -0000

ros-foxy-launch-xml (0.9.2-1focal) focal; urgency=high

  * install resource marker file for packages (#341 <https://github.com/ros2/launch/issues/341>)
  * Contributors: Dirk Thomas

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Wed, 23 Oct 2019 07:00:00 -0000

ros-foxy-launch-xml (0.9.1-1focal) focal; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Wed, 25 Sep 2019 07:00:00 -0000

ros-foxy-launch-xml (0.9.0-1focal) focal; urgency=high

  * install package manifest (#330 <https://github.com/ros2/launch/issues/330>)
  * Add deprecated argument to LaunchDescriptionn (#291 <https://github.com/ros2/launch/issues/291>)
  * Add support for not optional environment variable substitution (#288 <https://github.com/ros2/launch/issues/288>)
  * Add parsing methods for SetEnviromentVariable and UnsetEnviromentVariable (#272 <https://github.com/ros2/launch/issues/272>)
  * Add parsing method for DeclareLaunchArgument (#270 <https://github.com/ros2/launch/issues/270>)
  * Add frontend module in launch, launch_xml and launch_yaml packages (#226 <https://github.com/ros2/launch/issues/226>)
  * Contributors: Dirk Thomas, ivanpauno

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Wed, 18 Sep 2019 07:00:00 -0000
