=== debian/control ===
Source: ros-foxy-launch-xml
Section: misc
Priority: optional
Maintainer: Ivan Paunovic <ivanpauno@ekumenlabs.com>
Build-Depends: debhelper (>= 9.0.0), python3-pytest <!nocheck>, ros-foxy-ament-copyright <!nocheck>, ros-foxy-ament-flake8 <!nocheck>, ros-foxy-ament-pep257 <!nocheck>, ros-foxy-launch, ros-foxy-ros-workspace, python3-all, python3-setuptools, dh-python
Homepage: 
Standards-Version: 3.9.2

Package: ros-foxy-launch-xml
Architecture: any
Depends: ${python3:Depends}, ${misc:Depends}, ros-foxy-launch, ros-foxy-ros-workspace
Description: XML frontend for the launch package.
